<?

namespace Shop\DTO;

/**
 * Description of CustomerComplex
 *
 * @author Admin
 */
class CustomerComplex implements \Shop\Contracts\CustomerComplexInterface, \Shop\Contracts\CustomerAccessPricesInterface
{
    
    protected $prices = [1];//жестко привязан к розничному файлу id шником, перевести на настройку
    protected $groupId;
    protected $id;


    public function getAccessPriceListScheetIds(): array
    {
        return $this->prices;
    }
    
    public function getGroupId()
    {
        return $this->groupId;
    }

    public function getId()
    {
        return $this->id;
    }

    public function setAccessPriceListScheetIds(array $ids)
    {
        $this->prices = $ids;
        return $this;
    }
    
    public function setGroupId($id)
    {
        $this->groupId = $id;
        return $this;
    }

    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }    
}